Subject: [Fot] Scenes from the Jeff

From: Yellow04 <[email-masked]>
Date: Mon, 16 May 2016 11:56:36 -0400

So a year has passed since the Kastner Cup was ran at the Jefferson 500 in Summit Point, WV. It was great to see how much of the excitement from last year spilled over to this year. There were an amazing number of Triumphs there, even after a few that were registered didn't make it. 

A Friday night gathering of the Great Unwashed was well attended, thanks to the organizers for making the effort. It was really nice to have the whole group together, well worth the effort. It did rekindle the camaraderie from last year, for sure!

With all the cars VRG had to get creative making the run groups, the TR3's and the TR4's ran separate groups. As far as the TR3's go, perhaps it was like bringing a gun to a knife fight, as the finishing order in the Sunday feature was TR3, TR3, TR3, Ambro, TR3, then everything else. Need to do a shout-out to John Styduhar, great job all weekend!

Vic Schuster brought Ambro #2 (or is it #3?) and did a great job turning good lap times. Vic is asking all the right questions and I'm confident will be an excellent steward of such an important piece of Triumph history.

Another incredible showing of GT6's! Both Dolan cars were running, this time the Kastner car was driven by Peter, the youngest Dolan, and both cars showed well. Jay De Pol looked very comfortable turning good laps, still smarting from a freshly removed rookie stripe. Rounding out the GT6 stable was Scott Janzen, who also had a good weekend.

The 2014 Kastner Cup winner Mark Wheatley continued to amaze the crowd with how fast a TR4 can go through Turn 10 looking like no other car on the track.

The Emery's were back with the TR7, and somehow still didn't have a third gear! Bill still managed to get the car around the track just fine, but I do wonder how much better he would go with all the gears!

The Spitfire Squadron ran really well, with David Gussack and Jessie Darrow being the class of their group all weekend. Good show guys.

A few more than I care to list were beaten by equipment, but that's racing Triumphs...

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive